uuid: 2e9504c0-406d-4f32-ac9b-887fd3827977
langcode: en
status: true
dependencies: {  }
id: gronze_media_geo
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - files
  - gronze
  - media_geo
  - level2
migration_group: gronze_files
label: 'Media geo migration from Gronze D7'
source:
  plugin: d7_file_entity_item_gronze
  scheme: public
  type: geo
  high_water_property:
    name: fid
    alias: fm
process:
  langcode:
    plugin: default_value
    default_value: es
  field_media_image/target_id:
    -
      plugin: migration_lookup
      migration: gronze_file_managed
      source: fid
    -
      plugin: skip_on_empty
      method: row
  thumbnail/target_id:
    plugin: migration_lookup
    migration: gronze_file_managed
    source: fid
  field_media_image/alt: alt
  field_media_image/title: title
  status: status
  created: timestamp
  changed: timestamp
  uid:
    plugin: migration_lookup
    migration: gronze_user_accounts
    source: uid
    no_stub: true
destination:
  plugin: 'entity:media'
  default_bundle: geo
migration_dependencies:
  required:
    - gronze_file_managed
